
//////////////////////////////////////////////////////////////
//
// Header file for CallWindowMainWindow
//
//    This class is a ViewKit VkSimpleWindow subclass
//
// Normally, very little in this file should need to be changed.
// Create/add/modify menus using the builder.
//
// Restrict changes to those sections between
// the "//--- Start/End editable code block" markers
// Doing so will allow you to make chnages using the builder
// without losing any changes you may have made manually
//
//////////////////////////////////////////////////////////////
#ifndef CALLWINDOWMAINWINDOW_H
#define CALLWINDOWMAINWINDOW_H
#include <Vk/VkSimpleWindow.h>

//---- Start editable code block: headers and declarations


//---- End editable code block: headers and declarations


//---- CallWindowMainWindow class declaration

class CallWindowMainWindow: public VkSimpleWindow { 

  public:

    CallWindowMainWindow( const char * name, 
                          ArgList args = NULL,
                          Cardinal argCount = 0 );
    ~CallWindowMainWindow();
    const char *className();
    virtual Boolean okToQuit();

    //---- Start editable code block: CallWindowMainWindow public


    //---- End editable code block: CallWindowMainWindow public


  protected:



    // Classes created by this class

    class Form *_form;


    //---- Start editable code block: CallWindowMainWindow protected


    //---- End editable code block: CallWindowMainWindow protected


  private:


    static String      _defaultCallWindowMainWindowResources[];

    //---- Start editable code block: CallWindowMainWindow private


    //---- End editable code block: CallWindowMainWindow private


};
#endif
